// 进厂作业
<template>
    <div class="sale">
        <div class="top">
            <!-- 框计算 -->
            <span class="text">进门时间：</span>
            <el-date-picker v-model="startTime" type="datetime" placeholder="选择日期">
            </el-date-picker>
            <span class="text">至</span>
            <el-date-picker v-model="endTime" type="datetime" placeholder="选择日期">
            </el-date-picker>
            <el-button type="primary" class="btn" @click="onclick">
                <i class="el-icon-search"></i>查询
            </el-button>
        </div>
        <div class="tab">
            <dilTable v-bind.sync="option" max-height="300"></dilTable>
        </div>
    </div>
</template>
<script>
import { getCookie } from "@/utils/util.js";
import { sjTime } from "@/utils/sharedJsFile";
export default {
    data(){
        return{
            inputText:null,
            startTime: null,
            endTime: null,
            option: {       
                // 表格请求数据的地址
                requestUrl: "",
            },
        }
    },
    created(){
        if(getCookie("orgCode") == "dagangadmin" || getCookie("orgCode") == "zidonghuabu" || getCookie("orgCode") == "baoweibu"){
            this.option.requestUrl = "/api/v1/tms/getAllEnFactoryResult?apiId=434&orderType=10"
        }else{
            this.option.requestUrl = "/api/v1/tms/getAllEnFactoryResult?apiId=434&orderType=10&userId=" + getCookie("orgCode")
        }
    },
    methods:{
        onclick(){
            let startTime = null;
            let endTime = null;
            if (this.startTime) {
                startTime = sjTime(this.startTime);
            }
            if (this.endTime) {
                endTime = sjTime(this.endTime);
            }
            if(getCookie("orgCode") == "dagangadmin" || getCookie("orgCode") == "zidonghuabu"){
            this.option.requestUrl = "/api/v1/tms/getAllEnFactoryResult?apiId=434&orderType=10"
            }else{
            this.option.requestUrl = "/api/v1/tms/getAllEnFactoryResult?apiId=434&orderType=10&userId=" + getCookie("orgCode")
            }
            if (startTime && endTime) {
                if (startTime < endTime) {
                // if(getCookie("orgCode") == "dagangadmin" || getCookie("orgCode") == "zidonghuabu"){
                    this.option.requestUrl = "/api/v1/tms/getAllEnFactoryResult?apiId=434&orderType=10&startTime=" + startTime + "&endTime=" + endTime + "&i=" +new Date();

                    // }else if(getCookie("orgCode") == "wuliuchuyunzhongxin"){
                    // this.options.requestUrl = "/api/v1/wms/getWmsInboundResult?apiId=371&orderType=13&startTime=" + startTime + "&endTime=" + endTime + "&i=" +new Date(); 
                    // }else{
                    // this.options.requestUrl = '/api/v1/wms/getWmsInboundResult?apiId=371&userId=' + getCookie("orgCode") +"&startTime=" + startTime + "&endTime=" + endTime + "&i=" +new Date(); 
                    // }
                    } else {
                    this.startTime = null;
                    this.endTime = null;
                    this.$message.warning("开始时间要比结束时间早");
                    }
                } else {
                    this.getRequestUrl()
                }
            }
    }
}
</script>
<style lang="scss">
    .sale{
        .top{
            width: 100%;height: 5rem;
            display: flex;
            align-items: center;
            padding-left: 2.5rem;
        .el-input{
            width: 20%;
        }
        }
    }
</style>